# QVBoxLayout Class Reference

The QVBoxLayout class lines up child widgets vertically. More...

`#include <qlayout.h>`

Inherits QBoxLayout.

List of all member functions.

## Public Members

- QVBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )
- QVBoxLayout ( int autoBorder = -1, const char * name=0 )
- ~QVBoxLayout ()

## Detailed Description

The QVBoxLayout class lines up child widgets vertically.

This class provides an easier way to construct vertical box layout objects. See QBoxLayout for more details.

The simplest way to use this class is:

         QBoxLayout * l = new QVBoxLayout( widget );
         l->addWidget( aWidget );
         l->addWidget( anotherWidget );
         l->activate()

See also: QHBoxLayout and QGridLayout.

Examples: layout/layout.cpp widgets/widgets.cpp

## Member Function Documentation

### QVBoxLayout::QVBoxLayout ( QWidget * parent, int border=0, int autoBorder = -1, const char * name=0 )

Creates a new top-level vertical box.

### QVBoxLayout::QVBoxLayout ( int autoBorder = -1, const char * name=0 )

Creates a new vertical box. You have to add it to another layout before using it.

### QVBoxLayout::~QVBoxLayout ()

Destroys this box.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qlayout.h: 1998/08/21
- qlayout.cpp: 1998/09/21